Bug 928061 - Review Request: nagstamon - Nagios status monitor for desktop
Summary: Review Request: nagstamon - Nagios status monitor for desktop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-26 19:44 UTC by Nikita Klimov
Modified: 2013-04-25 00:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-25 00:46:01 UTC
Type: ---
echevemaster: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nikita Klimov 2013-03-26 19:44:57 UTC
Spec URL: http://jaur.su/nagstamon.spec
SRPM URL: http://jaur.su/nagstamon-0.9.9-1.fc18.src.rpm
Description: 
Nagstamon is a Nagios status monitor which takes place in system tray
or on desktop (GNOME, KDE, Windows) as floating status bar to inform
you in real-time about the status of your Nagios and derivatives
monitored network. It allows to connect to multiple Nagios,
Icinga, Opsview, Op5, Check_MK/Multisite and Centreon servers.
Fedora Account System Username: jaur
Koji task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5177368

$ rpmlint nagstamon-0.9.9-1.fc18.noarch.rpm nagstamon-0.9.9-1.fc18.src.rpm 
nagstamon.noarch: W: spelling-error Summary(en_US) Nagios -> Adagios
nagstamon.src: W: spelling-error Summary(en_US) Nagios -> Adagios
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

This is my first package but I will try to accommodate all the rules with its build. 
The example was taken from nagstamon-0.9.9-2.1.1.src.rpm in openSUSE repo.

Comment 1 Antonio T. (sagitter) 2013-03-30 17:57:05 UTC
Hi Nikita.

- Source contains code released with GPLv2+ licensing; LICENSE file is a GPLv2; 'Nagstamon/Server/Multisite.py' file says:

>...you can redistribute it and/or modify it
># under the  terms of the  GNU General Public License  as published by
># the Free Software Foundation in version 2. ...

'nagstamon' should be released with GPLv2+ licensing. 

- I think it's sufficient:

%install
%{__python} setup.py install --skip-build --root %{buildroot}

- In my opinion, after %install section all tasks need a short comment that explains why they are necessary.

For instance:

## Fix 'non-executable-script' error
chmod +x %{buildroot}%{python_sitelib}/Nagstamon/Server/Multisite.py

- "Your package should own all of the files that are installed as part of the %install process." http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

'%{python_sitelib}/Nagstamon' directory must be own of the package.

- " The package must be consistent. For any given path, within the same spec, use either a hard-coded path or a macro, not a combination of the two. "
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#macros

I think you can uniform better %{name} macro.

Comment 2 Antonio T. (sagitter) 2013-03-30 19:23:59 UTC
> 
> - Source contains code released with GPLv2+ licensing; LICENSE file is a
> GPLv2; 'Nagstamon/Server/Multisite.py' file says:
> 
> >...you can redistribute it and/or modify it
> ># under the  terms of the  GNU General Public License  as published by
> ># the Free Software Foundation in version 2. ...
> 
> 'nagstamon' should be released with GPLv2+ licensing. 
> 

Also ...

'Nagstamon/BeautifulSoup.py' file is released with BSD (3 clause) licensing that must be listed in License tag.
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

Comment 3 Nikita Klimov 2013-03-30 20:03:50 UTC
Hi Antonio, many thanks for reviews.

> - Source contains code released with GPLv2+ licensing; LICENSE file is a
> GPLv2; 'Nagstamon/Server/Multisite.py' file says:
> >...you can redistribute it and/or modify it
> ># under the  terms of the  GNU General Public License  as published by
> ># the Free Software Foundation in version 2. ...
> 
> 'nagstamon' should be released with GPLv2+ licensing. 

I will correct License tag and I will be more careful in the future.

> 
> - I think it's sufficient:
> 
> %install
> %{__python} setup.py install --skip-build --root %{buildroot}
> 

I will correct it too.

> - In my opinion, after %install section all tasks need a short comment that
> explains why they are necessary.
> 
> For instance:
> 
> ## Fix 'non-executable-script' error
> chmod +x %{buildroot}%{python_sitelib}/Nagstamon/Server/Multisite.py
> 

I'm fully agree.

> - "Your package should own all of the files that are installed as part of
> the %install process."
> http://fedoraproject.org/wiki/Packaging:
> Guidelines#File_and_Directory_Ownership
> 
> '%{python_sitelib}/Nagstamon' directory must be own of the package.
> 
> - " The package must be consistent. For any given path, within the same
> spec, use either a hard-coded path or a macro, not a combination of the two.
> "
> https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/
> Guidelines#macros
> 
> I think you can uniform better %{name} macro.

%{python_sitelib}/Nagstamon is own of the package:

wget -O - http://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon%200.9.9/nagstamon_0.9.9.tar.gz | tar -xzvf -
...
Nagstamon/Nagstamon/Server/Multisite.py
Nagstamon/Nagstamon/Server/Generic.py
Nagstamon/Nagstamon/resources/
...
Package name is 'nagstamon' (first letter is lowercase) but direcotry name is 'Nagstamon' (first letter is uppercase) so I can't use %{name} macro in %{install} section. What would be the best - change package name to Nagstamon and use %{name} macro in %{install} section or use hard-coded path?

Comment 4 Antonio T. (sagitter) 2013-03-30 20:41:24 UTC
(In reply to comment #3)
> Hi Antonio, many thanks for reviews.
> 
> > - "Your package should own all of the files that are installed as part of
> > the %install process."
> > http://fedoraproject.org/wiki/Packaging:
> > Guidelines#File_and_Directory_Ownership
> > 
> > '%{python_sitelib}/Nagstamon' directory must be own of the package.
> > 
> > - " The package must be consistent. For any given path, within the same
> > spec, use either a hard-coded path or a macro, not a combination of the two.
> > "
> > https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/
> > Guidelines#macros
> > 
> > I think you can uniform better %{name} macro.
> 
> %{python_sitelib}/Nagstamon is own of the package:
> 
> wget -O -
> http://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon%200.9.9/
> nagstamon_0.9.9.tar.gz | tar -xzvf -
> ...
> Nagstamon/Nagstamon/Server/Multisite.py
> Nagstamon/Nagstamon/Server/Generic.py
> Nagstamon/Nagstamon/resources/
> ...
> Package name is 'nagstamon' (first letter is lowercase) but direcotry name
> is 'Nagstamon' (first letter is uppercase) so I can't use %{name} macro in
> %{install} section. What would be the best - change package name to
> Nagstamon and use %{name} macro in %{install} section or use hard-coded path?

By using it where you can; for instance:

%{_bindir}/nagstamon --> %{_bindir}/%{name}

In some case (not in this case because there are not many directories to handle), you can define a submacro with %global or %define (http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define).

See https://docs.fedoraproject.org/en-US/Fedora_Draft_Documentation/0.1/html/RPM_Guide/ch09s07s03.html

Comment 5 Nikita Klimov 2013-03-31 11:58:49 UTC
I have update spec file and SRPM:

Spec URL: http://jaur.su/nagstamon.spec
SRPM URL: http://jaur.su/nagstamon-0.9.9-1.fc18.src.rpm

Comment 6 Antonio T. (sagitter) 2013-03-31 15:02:37 UTC
(In reply to comment #5)
> I have update spec file and SRPM:
> 
> Spec URL: http://jaur.su/nagstamon.spec
> SRPM URL: http://jaur.su/nagstamon-0.9.9-1.fc18.src.rpm

- "Every time you make changes, that is, whenever you increment the E-V-R of a package, add a changelog entry. This is important not only to have an idea about the history of a package, but also to enable users, fellow packages, and QA people to easily spot the changes that you make."
http://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

I consider this new src rpm as release 2 (0.9.9-2). Please, update the changelog.


> 'Nagstamon/BeautifulSoup.py' file is released with BSD (3 clause) licensing >that must be listed in License tag.

- We must fix this my error: BeautifulSoup.py is a bundled python file, already maintained in 'python-BeautifulSoup' package. It can't be in nagstamon, too (http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries). 
Upstream already seems consider this circumstance as you can see in line #17 of Nagstamon/Server/Generic.py file in the source so I think you may erase BeautifulSoup.py file in %prep section (http://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries#Packages_with_Bundled_Libraries), add python-BeautifulSoup as Requires entry leaving a short comment that explains the reason and a link to 

http://sourceforge.net/p/nagstamon/bugs/44/

- Why do you use a wildcard ?

>%{_datadir}/applications/*%{name}.desktop

- Please, remember to update the changelog. You should already be at third release ...

Comment 7 Nikita Klimov 2013-03-31 21:44:06 UTC
Antonio, please review again

Spec URL: http://jaur.su/nagstamon.spec
SRPM URL: http://jaur.su/nagstamon-0.9.9-3.fc18.src.rpm

Comment 8 Eduardo Echeverria 2013-04-01 05:59:42 UTC
Hi Nikita, welcome to Fedora

- Use python2-devel instead of python-devel as BR, See http://fedoraproject.org/wiki/Packaging:Python#BuildRequires.

-  Copy icon desktop to pixmaps directory, provide directory to install and invoke the entry,  only as %{name}.svg

You have read this?
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Convincing_someone_to_sponsor_you
Please try to doing informal reviews to other packagers in order to find and convincing a willing sponsor

Cheers

Comment 9 Nikita Klimov 2013-04-01 19:41:47 UTC
(In reply to comment #8)
> Hi Nikita, welcome to Fedora
> 

Hi Eduardo.
Thank you for the invitation, I am pleased to hear such words.

> - Use python2-devel instead of python-devel as BR, See
> http://fedoraproject.org/wiki/Packaging:Python#BuildRequires.
> 
> -  Copy icon desktop to pixmaps directory, provide directory to install and
> invoke the entry,  only as %{name}.svg
> 

I updated the package, please review.

Spec URL: http://jaur.su/nagstamon.spec
SRPM URL: http://jaur.su/nagstamon-0.9.9-4.fc18.src.rpm

> You have read this?
> https://fedoraproject.org/wiki/
> How_to_get_sponsored_into_the_packager_group#Convincing_someone_to_sponsor_yo
> u
> Please try to doing informal reviews to other packagers in order to find and
> convincing a willing sponsor
> 
> Cheers

Yes, I read it. I will try to make regular reviews other packages, starting this week.

Comment 10 Antonio T. (sagitter) 2013-04-02 10:15:16 UTC
(In reply to comment #9)
> 
> I updated the package, please review.
> 
> Spec URL: http://jaur.su/nagstamon.spec
> SRPM URL: http://jaur.su/nagstamon-0.9.9-4.fc18.src.rpm
> 

I noted a 'fedora-review' error with your package. I think it is tied to % into Url in .spec file. Changing to 

...
Source0:	http://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon 0.9.9/nagstamon_0.9.9.tar.gz
...

'fedora-review' command works.

You need a sponsor to review because it is your first package in Fedora.

Bye.

Comment 11 Nikita Klimov 2013-04-02 18:58:42 UTC
I corrected the URL in Source0 and fix desktop icon file mode:

Spec URL: http://jaur.su/nagstamon.spec
SRPM URL: http://jaur.su/nagstamon-0.9.9-5.fc18.src.rpm

Comment 12 Eduardo Echeverria 2013-04-03 00:55:23 UTC
(In reply to comment #10)

> I noted a 'fedora-review' error with your package. I think it is tied to %
> into Url in .spec file. Changing to 
> 
> ...
> Source0:	http://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon
> 0.9.9/nagstamon_0.9.9.tar.gz
there are a workaround for handle resources having spaces in http://git.fedorahosted.org/cgit/FedoraReview.git/commit/?id=e854054. (Reported in bug 920376),so I think we should leave the url as it was, is a problem of fedora-review, not of the nagstamon package.
 

Nikita, the package installs desktop file in %{_datadir}/applications/%{name}.desktop, I do not see the need to provide the directory, please check it

the setup.py file have a incorrect FSF address on the license header, please report to upstream

Comment 13 Nikita Klimov 2013-04-05 07:18:32 UTC
(In reply to comment #12)
> (In reply to comment #10)
> 
> > I noted a 'fedora-review' error with your package. I think it is tied to %
> > into Url in .spec file. Changing to 
> > 
> > ...
> > Source0:	http://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon
> > 0.9.9/nagstamon_0.9.9.tar.gz
> there are a workaround for handle resources having spaces in
> http://git.fedorahosted.org/cgit/FedoraReview.git/commit/?id=e854054.
> (Reported in bug 920376),so I think we should leave the url as it was, is a
> problem of fedora-review, not of the nagstamon package.
>  
> 
> Nikita, the package installs desktop file in
> %{_datadir}/applications/%{name}.desktop, I do not see the need to provide
> the directory, please check it
> 

Yes, it is not necessary. I'm fix it.

> the setup.py file have a incorrect FSF address on the license header, please
> report to upstream

I sent email to Nagstamon developer. Temporary I'm added patch to fix FSF address.

Spec URL: http://jaur.su/nagstamon.spec
SRPM URL: http://jaur.su/nagstamon-0.9.9-6.fc18.src.rpm

Comment 14 Michael Schwendt 2013-04-05 10:05:48 UTC
Patching the address hasn't been asked for. There is a reason for that:

 * https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
 * https://fedoraproject.org/wiki/Category:Package_Maintainers

Comment 15 Michael Schwendt 2013-04-05 10:07:59 UTC
Oh, if just setup.py contained a wrong address, that's okay to patch but not necessary either. It's okay to wait for the next release.

Comment 16 Nikita Klimov 2013-04-05 18:21:16 UTC
Hi Michael, thanks for review.
In my opinion will be better to wait while developer fix it, so I rolled back package to previous version.

Spec URL: http://jaur.su/nagstamon.spec
SRPM URL: http://jaur.su/nagstamon-0.9.9-5.fc18.src.rpm

Comment 17 Eduardo Echeverria 2013-04-05 18:59:34 UTC
(In reply to comment #16)
> Hi Michael, thanks for review.
> In my opinion will be better to wait while developer fix it, so I rolled
> back package to previous version.
> 
> Spec URL: http://jaur.su/nagstamon.spec
> SRPM URL: http://jaur.su/nagstamon-0.9.9-5.fc18.src.rpm

Hi Nikita 

You can not simply ignore or rollback a bump release, This may not seem important at the moment (review phase), but  it will be when your package arrive in the repositories, this means that every time you make a change (although this change are incorrect,  you will have to make this clear in the changelog, and not retrace his steps doing rollback. It is the best way to be "transparent" about what happened in your package.

In another vein, I would like to see it involved in other reviews, doing informal reviews to other packagers, this will speed up your sponsorship

Comment 18 Nikita Klimov 2013-04-05 19:39:03 UTC
(In reply to comment #17)
> (In reply to comment #16)
> > Hi Michael, thanks for review.
> > In my opinion will be better to wait while developer fix it, so I rolled
> > back package to previous version.
> > 
> > Spec URL: http://jaur.su/nagstamon.spec
> > SRPM URL: http://jaur.su/nagstamon-0.9.9-5.fc18.src.rpm
> 
> Hi Nikita 
> 
> You can not simply ignore or rollback a bump release, This may not seem
> important at the moment (review phase), but  it will be when your package
> arrive in the repositories, this means that every time you make a change
> (although this change are incorrect,  you will have to make this clear in
> the changelog, and not retrace his steps doing rollback. It is the best way
> to be "transparent" about what happened in your package.
> 
> In another vein, I would like to see it involved in other reviews, doing
> informal reviews to other packagers, this will speed up your sponsorship

Hi Eduardo

I fixed my mistake with package version.

Spec URL: http://jaur.su/nagstamon.spec
SRPM URL: http://jaur.su/nagstamon-0.9.9-7.fc18.src.rpm

I very want join to Fedora community, so will try do regular reviews to other package. Thank you very much for the help you have given me.

Comment 19 Nikita Klimov 2013-04-14 20:35:08 UTC
Hi Eduardo,
This is my first review https://bugzilla.redhat.com/show_bug.cgi?id=822329 . I'm not sure is it correct. Can you see and point out my mistakes?

Comment 20 Eduardo Echeverria 2013-04-15 07:30:42 UTC
Yes, nikita For some time  was aware of the review, and was in CC list ;), I made some comments in the review for another packager, and I think that your review was acceptable

I'm lifting FE-NEEDSPONSOR, congrats you're sponsored

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in nagstamon
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
this is a false positive, the package don't  installs icons in %{_datadir}/icons


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL", "GPL (v2 or
     later)", "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in
     /home/makerpm/ngapril/928061-nagstamon/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 112640 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[-]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nagstamon-0.9.9-7.fc20.noarch.rpm
nagstamon.noarch: W: spelling-error Summary(en_US) Nagios -> Adagios
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nagstamon
nagstamon.noarch: W: spelling-error Summary(en_US) Nagios -> Adagios
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nagstamon (rpmlib, GLIBC filtered):
    /usr/bin/python
    pygtk2
    python(abi)
    python-BeautifulSoup
    python-setuptools



Provides
--------
nagstamon:
    nagstamon



MD5-sum check
-------------
http://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon 0.9.9/nagstamon_0.9.9.tar.gz :
  CHECKSUM(SHA256) this package     : 97bf2d5694b9844312123638679aa5ec3528a2c2ca9cf9567a050ddb239e2843
  CHECKSUM(SHA256) upstream package : 97bf2d5694b9844312123638679aa5ec3528a2c2ca9cf9567a050ddb239e2843


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 928061 -m fedora-rawhide-x86_64


----------------

PACKAGE APPROVED

----------------


Follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner


If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is echevemaster

Comment 21 Nikita Klimov 2013-04-15 16:52:15 UTC
New Package SCM Request
=======================
Package Name: nagstamon
Short Description: Nagios status monitor for desktop
Owners: jaur echevemaster
Branches: f18 f19
InitialCC:

Comment 22 Gwyn Ciesla 2013-04-15 19:09:16 UTC
Git done (by process-git-requests).

Comment 23 Fedora Update System 2013-04-15 22:03:49 UTC
nagstamon-0.9.9-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nagstamon-0.9.9-7.fc18

Comment 24 Fedora Update System 2013-04-16 07:44:11 UTC
nagstamon-0.9.9-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nagstamon-0.9.9-7.fc19

Comment 25 Fedora Update System 2013-04-16 16:08:44 UTC
nagstamon-0.9.9-7.fc19 has been pushed to the Fedora 19 testing repository.

Comment 26 Fedora Update System 2013-04-20 19:47:01 UTC
nagstamon-0.9.9-7.fc19 has been pushed to the Fedora 19 stable repository.

Comment 27 Fedora Update System 2013-04-25 00:46:03 UTC
nagstamon-0.9.9-7.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.